## ros-indigo-fetch-pbd-interaction 0.0.8

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(fetch_pbd_interaction)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS 
  actionlib
  geometry_msgs
  moveit_msgs
  message_generation
  fetch_arm_control
  rospy
  rospy_message_converter
  std_msgs
  tf
  moveit_ros_planning_interface
  pcl_ros
  interactive_markers
)
find_package(PCL REQUIRED)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
# CATKIN_MIGRATION: removed during catkin migration
# cmake_minimum_required(VERSION 2.4.6)
include_directories(${PCL_INCLUDE_DIRS})
link_directories(
  ${PCL_LIBRARY_DIRS}
)
## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

# Generate messages and services
add_message_files(
  FILES
  ArmState.msg
  Condition.msg
  Landmark.msg
  ExecutionStatus.msg
  RobotSound.msg
  SessionState.msg
  WorldState.msg
  OrientationRPY.msg
)

add_service_files(
  FILES
  ExecuteActionById.srv
  GetSessionState.srv
  Ping.srv
  MoveArm.srv
  MoveArmTraj.srv
  SetGripperState.srv
  GetGripperState.srv
  GetEEPose.srv
  GetJointStates.srv
  GetArmMovement.srv
  GetGazeGoal.srv
  GetMostSimilarObject.srv
  GetObjectList.srv
  GetNearestObject.srv
  GetObjectFromName.srv
  GuiInput.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
  tf
  fetch_arm_control
)

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
  INCLUDE_DIRS include src/fetch_pbd_interaction
  LIBRARIES fetch_pbd_interaction
  CATKIN_DEPENDS rospy roscpp
  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
add_library( pbd_world_landmark
  src/world_landmark.cpp
)

add_dependencies(
  pbd_world_landmark
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(
  pbd_world_landmark 
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
)

add_library( pbd_world
  src/world.cpp
)

add_dependencies(
  pbd_world
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(
  pbd_world 
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
)

## Declare a cpp executable
# add_executable(pr2_pbd_node src/pr2_pbd_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(pr2_pbd_node pr2_pbd_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(pr2_pbd_node
#   ${catkin_LIBRARIES}
# )

add_executable(pbd_world_node nodes/pbd_world_node.cpp)
add_dependencies(pbd_world_node
  pbd_world
  pbd_world_landmark
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(pbd_world_node 
  pbd_world
  pbd_world_landmark
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS pr2_pbd_interaction pr2_pbd_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
#)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

install(PROGRAMS
  nodes/pbd_arm_control_node.py
  nodes/pbd_interaction_node.py
  nodes/pbd_world_node.cpp
  nodes/demo.py
  scripts/serve_web_interface.sh
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  launch/pbd.launch
  launch/pbd_prereqs.launch
  launch/pbd_rviz_viewer.launch
  launch/pbd_web_prereqs.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(FILES
  config/fetch_pbd.rviz
  config/zones.yaml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

install(DIRECTORY
  web_interface/fetch-pbd-gui
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/web_interface
  USE_SOURCE_PERMISSIONS
)

install(DIRECTORY
  examples
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(DIRECTORY
  sounds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_pr2_pbd.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-indigo-fetch-pbd-interaction (0.0.8-0trusty) trusty; urgency=high

  * Update README and CMakeLists
  * Do reachability check for ref_type PREVIOUS_TARGET
  * Interface improvements: update markers more efficiently, etc
  * Implemented pre-conditions for primitives
  * Interface improvements: object labels, marker fixes
  * Namespace topics and services, some marker fixes
  * Install specific version of polymer-cli to not get issues when polymer changes
  * Change World node to C++ and add Grasp suggestion integration
  * Contributors: Sarah Elliott

 -- Sarah Elliott <sksellio@gmail.com>  Tue, 08 Aug 2017 07:00:00 -0000

ros-indigo-fetch-pbd-interaction (0.0.7-0trusty) trusty; urgency=high

  * Built frontend and now serve pre-built frontend directly
  * add couchdb as run_depend, fix #6 <https://github.com/fetchrobotics/fetch_pbd/issues/6>
  * Custom ros3d.js to use unsubscribeTf and show mesh colours. Use local copies of Robot Web Tools libraries.
  * Contributors: Sarah Elliott

 -- Sarah Elliott <sksellio@gmail.com>  Thu, 20 Apr 2017 07:00:00 -0000

ros-indigo-fetch-pbd-interaction (0.0.6-0trusty) trusty; urgency=high

  * Update install_web_dependencies.sh
  * Contributors: Sarah Elliott

 -- Sarah Elliott <sksellio@gmail.com>  Sat, 29 Oct 2016 07:00:00 -0000

ros-indigo-fetch-pbd-interaction (0.0.5-0trusty) trusty; urgency=high

  * Update package.xml
  * Contributors: Russell Toris

 -- Sarah Elliott <sksellio@gmail.com>  Sat, 17 Sep 2016 07:00:00 -0000

ros-indigo-fetch-pbd-interaction (0.0.4-0trusty) trusty; urgency=high

  * Dependencies again
  * Contributors: Sarah Elliott

 -- Sarah Elliott <sksellio@gmail.com>  Fri, 09 Sep 2016 07:00:00 -0000

ros-indigo-fetch-pbd-interaction (0.0.3-0trusty) trusty; urgency=high



 -- Sarah Elliott <sksellio@gmail.com>  Fri, 09 Sep 2016 07:00:00 -0000

ros-indigo-fetch-pbd-interaction (0.0.2-0trusty) trusty; urgency=high

  * Dependencies
  * Contributors: Sarah Elliott

 -- Sarah Elliott <sksellio@gmail.com>  Fri, 09 Sep 2016 07:00:00 -0000

ros-indigo-fetch-pbd-interaction (0.0.1-0trusty) trusty; urgency=high

  * Update package.xml
  * License and documentation updates
  * Update examples
  * Okay  last CMakelists.tx change...
  * Fix some frame initialisation issue
  * Accidentally deleted line before...
  * Switch from GuiInput.msg to GuiInput.srv
  * Less gross CMakelist/path stuff
  * CMakelists change
  * Loading/saving json files, still need to work on location of files
  * Small fix for editing actions
  * Small fix for deleting objects from world
  * Require version of rail_segmentation
  * Switched to use rail_segmentation
  * Getting ready to be released
  * Small fix for deleting actions
  * Fix frame issues when reordering primitives
  * Fix bug in reordering primitives
  * Marker UI fixes
  * Small fixes so things appear better on mobile
  * Error message popups
  * Add table to planning scene
  * Add functionality for stopping execution
  * Fixes based on Russell's comments
  * Change dependencies and action selection
  * Misc reorganisation and added to example script
  * Fix for trajectory marker
  * Coloring for selected primitive
  * Changes to selecting a primitive and structure of markers functionality
  * More marker fixes. Probably needs a lot of cleanup now.
  * Really made the markers work this time...
  * Marker and UI fixes
  * Fixed the no sound/no head movement behaviour
  * Lots of changes but added ability to edit actions numerically
  * Documentation and code cleanup
  * Make my own sortable list
  * Fix object marker location for web viz
  * Get rid of arrows pointing to objects
  * Added markers being relative to each other
  * Show and hide markers, plus some other marker fixes
  * Polymer web interface
  * Add back the standalone arm control node
  * Huge reorganisation. Now working.
  * Huge reorganisation. Now working.
  * Make continuous trajectories work (although crappily)
  * Fixed bug in moving to marker location
  * Changes to make 'links' between steps work
  * Found small naming bug in unused service
  * Cleaning up code
  * Replace moveit_python with moveit_commander and use poses instead of joints
  * Changed ArmControls class to ArmInteraction, fixed bug in PbD
  * Working, all functionality of PR2 PbD
  * First commit of port of PbD to Fetch. Things work. Rough around the edges.
  * Contributors: Russell Toris, Sarah Elliott

 -- Sarah Elliott <sksellio@gmail.com>  Fri, 09 Sep 2016 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-fetch-pbd-interaction
Section: misc
Priority: extra
Maintainer: Sarah Elliott <sksellio@gmail.com>
Build-Depends: debhelper (>= 9.0.0), git-core, python-couchdb, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-fetch-arm-control, ros-indigo-geometry-msgs, ros-indigo-interactive-marker-proxy, ros-indigo-interactive-markers, ros-indigo-message-generation, ros-indigo-moveit-commander, ros-indigo-moveit-msgs, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-planning-interface, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs (>= 0.0.10-0), ros-indigo-rail-segmentation (>> 0.1.9-0), ros-indigo-rosbridge-server, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rospy-message-converter, ros-indigo-std-msgs, ros-indigo-tf2-web-republisher
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-fetch-pbd-interaction
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, couchdb, python-couchdb, ros-indigo-fetch-arm-control, ros-indigo-geometry-msgs, ros-indigo-interactive-marker-proxy, ros-indigo-interactive-markers, ros-indigo-message-runtime, ros-indigo-moveit-commander, ros-indigo-moveit-msgs, ros-indigo-moveit-ros-planning, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs (>= 0.0.10-0), ros-indigo-rail-segmentation (>> 0.1.9-0), ros-indigo-ros-numpy, ros-indigo-rosbridge-server, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rospy-message-converter, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf2-web-republisher
Description: The fetch_pbd_interaction package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-fetch-pbd-interaction//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
